]> git.pld-linux.org Git - packages/apache.git/blobdiff - apache.init
- "UseCanonicalName Off" as more useful default
[packages/apache.git] / apache.init
index f75dc0d15770f261145c99adf41191b3b00f47f2..598aac14f67ec0cb662cb6adf90c941a2e52a955 100644 (file)
@@ -21,7 +21,7 @@
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
        if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-               msg_network_down httpd
+               msg_network_down "Apache 2.2 Web Server"
                exit 1
        fi
 else
@@ -29,6 +29,7 @@ else
 fi
 
 [ -z "$HTTPD_MPM" ] && HTTPD_MPM="prefork"
+SVC_NAME="Apache 2.2 Web Server ($HTTPD_MPM)"
 
 if [ -n "${HTTPD_CONF}" ]; then
        if [ -d "${HTTPD_CONF}" ] || [ -f "${HTTPD_CONF}" ]; then
@@ -39,26 +40,31 @@ if [ -n "${HTTPD_CONF}" ]; then
        fi
 fi
 
+configtest() {
+       /usr/sbin/httpd.${HTTPD_MPM} -t $CFG $HTTPD_OPTS >/dev/null 2>&1
+       RETVAL=$?
+}
+
 start() {
        # Check if the service is already running?
        if [ ! -f /var/lock/subsys/httpd ]; then
-               msg_starting httpd.${HTTPD_MPM}
-               daemon httpd.${HTTPD_MPM} $CFG $HTTPD_OPTS
+               msg_starting "$SVC_NAME"
+               daemon --pidfile /var/run/httpd.pid /usr/sbin/httpd.${HTTPD_MPM} $CFG $HTTPD_OPTS
                RETVAL=$?
                [ $RETVAL -eq 0 ] && touch /var/lock/subsys/httpd
        else
-               msg_already_running httpd.${HTTPD_MPM}
+               msg_already_running "$SVC_NAME"
        fi
 }
 
 stop() {
        # Stop daemons.
        if [ -f /var/lock/subsys/httpd ]; then
-               msg_stopping httpd.${HTTPD_MPM}
-               killproc --pidfile httpd.pid httpd.${HTTPD_MPM}
+               msg_stopping "$SVC_NAME"
+               killproc --pidfile /var/run/httpd.pid httpd.${HTTPD_MPM}
                rm -f /var/lock/subsys/httpd /var/run/httpd.pid /var/run/httpd.loc* >/dev/null 2>&1
        else
-               msg_not_running httpd.${HTTPD_MPM}
+               msg_not_running "$SVC_NAME"
        fi
 }
 
@@ -67,7 +73,7 @@ condrestart() {
                stop
                start
        else
-               msg_not_running httpd.${HTTPD_MPM}
+               msg_not_running "$SVC_NAME"
                RETVAL=$1
        fi
 }
@@ -76,15 +82,15 @@ RETVAL=0
 # See how we were called.
 case "$1" in
   start)
-       start
+       start
        ;;
   stop)
-       stop
+       stop
        ;;
   status)
        status httpd.${HTTPD_MPM}
        RETVAL=$?
-       /usr/sbin/httpd.${HTTPD_MPM} $CFG -S
+       /usr/sbin/httpd.${HTTPD_MPM} $CFG $HTTPD_OPTS -S
        ;;
   restart)
        stop
@@ -93,39 +99,29 @@ case "$1" in
   try-restart)
        condrestart 0
        ;;
-  reload|force-reload|graceful)
+  reload|force-reload|graceful|flush-logs)
        if [ -f /var/lock/subsys/httpd ]; then
-               run_cmd "Checking httpd.${HTTPD_MPM} configuration" httpd.${HTTPD_MPM} $CFG -t
-               RETVAL=$?
+               configtest
                if [ $RETVAL -eq 0 ]; then
-                       msg_reloading httpd.${HTTPD_MPM}
-                       busy
-                       httpd.${HTTPD_MPM} $CFG -k graceful
+                       msg_reloading "$SVC_NAME"; busy
+                       /usr/sbin/httpd.${HTTPD_MPM} $CFG $HTTPD_OPTS -k graceful
                        RETVAL=$?
                        [ $RETVAL -eq 0 ] && ok || fail
+               else
+                       show "Checking configuration"; busy
+                       fail
+                       echo >&2 "Configuration file syntax test failed. Run $0 configtest to see errors."
                fi
        else
-               msg_not_running httpd.${HTTPD_MPM}
+               msg_not_running "$SVC_NAME"
                RETVAL=7
        fi
        ;;
-  flush-logs)
-       if [ -f /var/lock/subsys/httpd ]; then
-               msg_reloading httpd.${HTTPD_MPM}
-
-               httpd.${HTTPD_MPM} -t >/dev/null 2>&1
-               RETVAL=$?
-               if [ $RETVAL -eq 0 ]; then
-                       daemon httpd.${HTTPD_MPM} $CFG -k graceful
-                       RETVAL=$?
-               else
-                       fail
-                       echo >&2 "Configuration file syntax test failed."
-               fi
-       fi
+  configtest)
+       /usr/sbin/httpd.${HTTPD_MPM} -t $CFG $HTTPD_OPTS
        ;;
   *)
-       msg_usage "$0 {start|stop|restart|try-restart|reload|force-reload|graceful|status}"
+       msg_usage "$0 {start|stop|restart|try-restart|reload|force-reload|graceful|configtest|status}"
        exit 3
        ;;
 esac
This page took 0.027935 seconds and 4 git commands to generate.